<?php
require'fun.php';
$location=$conn->query('SELECT`link`FROM`membrii_conectati`WHERE`de`="'.$de.'"')->fetch_row()[0];
if($de>0)
{
require'f_refresh.php';
$head[4]=refresh($location,1);
}
$titlu='Trimite alerta la '.nume($la,1);
$back[1]='<a href="'.$location.'">Inapoi</a>';
require'f_sus.php';
require'f_profil.php';
require'f_mut.php';
if(in_array($de,$id_proprietari))
$pmfl=0;
else
$pmfl=$conn->query('SELECT MAX(`data`)FROM`alerte`WHERE`de`="'.$de.'"')->fetch_row()[0]+$anti_flood;
require'f_blocat.php';
$primeste_alerte=$conn->query('SELECT`popmsg`FROM`membrii`WHERE`id`="'.$la.'"')->fetch_row()[0];
if($pmfl>$_SERVER['REQUEST_TIME'])
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Flood control: Poti trimite alerta peste '.($pmfl-$_SERVER['REQUEST_TIME']).' secunde!';
elseif($primeste_alerte==1&&$conn->query('SELECT COUNT(*)FROM`prieteni`WHERE(`de`="'.$de.'"&&`la`="'.$la.'"||`de`="'.$la.'"&&`la`="'.$de.'")&&`citit`>"0"')->fetch_row()[0]==0&&$perm==0)
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].profil($la).', are alertele activate doar pentru prieteni!';
elseif($primeste_alerte==2&&$perm==0)
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].profil($la).', are alertele dezactivate!';
elseif($conn->query('SELECT COUNT(*)FROM`ignorati`WHERE`la`="'.$de.'"&&`de`="'.$la.'"')->fetch_row()[0]>0&&$perm==0)
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu poți trimite alerta la '.profil($la).', deoarece te are în lista cu persoane ignorate!';
elseif(blocat($pmtext))
{
$tip='text alerta către membrul '.nume($la,1);
$text=$pmtext;
require'f_ban.php';
}
elseif($pmtext=='')
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Trebuie să scri ceva, nu poți trimite alerta goala!';
else
{
require'f_spam.php';
require'f_scris2.php';
if($conn->query('INSERT INTO`alerte`SET`text`="'.$pmtext.'",`de`="'.$de.'",`la`="'.$la.'",`data`="'.$_SERVER['REQUEST_TIME'].'",`raportat`="'.(spam($pmtext)&&(!in_array($de,$id_proprietari)||!in_array($la,$id_proprietari))?$id_robot:0).'"'))
{
$conn->query('INSERT INTO`evenimente`SET`text`="i-a trimis o alerta la",`de`="'.$de.'",`la`="'.$la.'",`data`="'.$_SERVER['REQUEST_TIME'].'"');
$conn->query('UPDATE`membrii`SET`lei`=lei+'.$lei['alerta'].',`top_alerte`=top_alerte+1 WHERE`id`="'.$de.'"');
require'f_filtru_bb.php';
echo$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Alerta trimisa la '.profil($la).$div[0].$div[13].filtru_bb($pmtext);
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7];
}
echo$div[0];
require'f_jos.php';